summaryrefslogtreecommitdiffstats
path: root/patches/prelink-0.0.20071009/Makefile.in.dpatch
diff options
context:
space:
mode:
Diffstat (limited to 'patches/prelink-0.0.20071009/Makefile.in.dpatch')
-rw-r--r--patches/prelink-0.0.20071009/Makefile.in.dpatch34
1 files changed, 34 insertions, 0 deletions
diff --git a/patches/prelink-0.0.20071009/Makefile.in.dpatch b/patches/prelink-0.0.20071009/Makefile.in.dpatch
new file mode 100644
index 000000000..db646824e
--- /dev/null
+++ b/patches/prelink-0.0.20071009/Makefile.in.dpatch
@@ -0,0 +1,34 @@
+#! /bin/sh -e
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Changed optimization level.
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch}"
+
+if [ $# -ne 1 ]; then
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1
+fi
+case "$1" in
+ -patch) patch $patch_opts -p1 < $0;;
+ -unpatch) patch $patch_opts -p1 -R < $0;;
+ *)
+ echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+ exit 1;;
+esac
+
+exit 0
+@DPATCH@
+
+--- prelink-0.0.20030902.orig/src/Makefile.in 2003-07-01 14:38:41.000000000 +0000
++++ prelink-0.0.20030902/src/Makefile.in 2003-09-16 23:26:16.000000000 +0000
+@@ -108,7 +108,7 @@
+ $(prelink_SYSDEPS)
+
+ prelink_LDADD = @LIBGELF@
+-prelink_LDFLAGS = -all-static
++#prelink_LDFLAGS = -all-static
+
+ extra_DIST = makecrc.c
+ subdir = src